	program magics

	call popen

	call pset1c("output_formats", (/"png"/), 1)
	call psetc("output_name", "symbol7")
	call psetc("output_name_first_page_number", "off")

	call psetr("subpage_y_min", 20.00)
	call psetr("subpage_x_min", 10.00)
	call psetc("subpage_map_projection", "cartesian")
	call psetr("subpage_x_max", 50.00)
	call psetr("subpage_y_position", 2.00)
	call psetr("subpage_y_max", 80.00)
	call psetc("subpage_x_axis_type", "regular")
	call psetc("subpage_y_axis_type", "regular")

	call psetr("axis_tick_label_height", 0.40)
	call psetc("axis_orientation", "vertical")
	call pseti("axis_grid_thickness", 1)
	call psetc("axis_tick_label_colour", "navy")
	call psetc("axis_type", "regular")
	call psetc("axis_grid", "on")
	call psetc("axis_grid_line_style", "dot")
	call psetc("axis_grid_colour", "grey")
	call paxis

	call preset('axis_tick_label_height')
	call preset('axis_orientation')
	call preset('axis_grid_thickness')
	call preset('axis_tick_label_colour')
	call preset('axis_type')
	call preset('axis_grid')
	call preset('axis_grid_line_style')
	call preset('axis_grid_colour')

	call psetc("axis_orientation", "horizontal")
	call psetr("xis_tick_label_height", 0.40)
	call pseti("axis_grid_thickness", 1)
	call psetc("axis_tick_label_colour", "navy")
	call psetc("axis_type", "regular")
	call psetc("axis_grid", "on")
	call psetc("axis_grid_line_style", "dot")
	call psetc("axis_grid_colour", "grey")
	call paxis

	call preset('axis_orientation')
	call preset('xis_tick_label_height')
	call preset('axis_grid_thickness')
	call preset('axis_tick_label_colour')
	call preset('axis_type')
	call preset('axis_grid')
	call preset('axis_grid_line_style')
	call preset('axis_grid_colour')

	call pset1r("input_x_values", (/15.00, 25.00, 35.00/), 3)
	call pset1r("input_y_values", (/30.00, 60.00, 45.00/), 3)
	call pinput

	call preset('input_x_values')
	call preset('input_y_values')

	call psetc("symbol_type", "marker")
	call pseti("symbol_marker_index", 15)
	call psetc("symbol_colour", "red")
	call psetr("symbol_height", 1.00)
	call psymb

	call preset('symbol_type')
	call preset('symbol_marker_index')
	call preset('symbol_colour')
	call preset('symbol_height')

	call pset1c("text_lines", (/"Symbol plotting ..."/), 1)
	call psetr("text_font_size", 1.00)
	call psetc("text_justification", "left")
	call psetc("text_colour", "charcoal")
	call ptext

	call preset('text_lines')
	call preset('text_font_size')
	call preset('text_justification')
	call preset('text_colour')

	call pclose

	end
